Summary: The GNU chess program.
Name: gnuchess
Version: 4.0.pl80
Release: 5mdk
Copyright: GPL
Group: Games/Boards
BuildRequires: gpm-devel ncurses-devel libtermcap-devel
Source: ftp://prep.ai.mit.edu:/pub/gnu/gnuchess-%{version}.tar.bz2
Source1: gnuchess.bz2
Source2: gnuchess.xpm.bz2
Patch0: gnuchess-4.0.pl75-fsstnd.patch.bz2
Patch1: gnuchess-4.0.pl77-ncurses.patch.bz2
Patch2: gnuchess-4.0.pl79.patch.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
Provides: chessprogram

%description
The gnuchess package contains the GNU chess program.  By default, GNUchess
uses a curses text-based interface.  Alternatively, GNUchess can be used
in conjunction with the xboard user interface and the X Window System for
a graphical chessboard.

You should install the gnuchess package if you would like to play chess on
your computer.  You'll also need to install the curses package.  If you'd
like to use a graphical interface with GNUchess, you'll also need to
install the xboard package and the X Window System.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .time

%build
cd src
rm -f config.status config.cache
./configure --prefix=/usr
make "CC=gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/games/gnuchess $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
cd src
%makeinstall \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man6

bunzip2 $RPM_SOURCE_DIR/gnuchess.bz2
bunzip2 $RPM_SOURCE_DIR/gnuchess.xpm.bz2
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 $RPM_SOURCE_DIR/gnuchess $RPM_BUILD_ROOT%{_libdir}/menu/
install -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
install -m 644 $RPM_SOURCE_DIR/gnuchess.xpm $RPM_BUILD_ROOT%{_datadir}/icons/
bzip2 $RPM_SOURCE_DIR/gnuchess
bzip2 $RPM_SOURCE_DIR/gnuchess.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/gnuchess
%{_bindir}/gnuchessr
%{_bindir}/gnuchessn
%{_bindir}/gnuchessx
%{_bindir}/gnuchessc
%{_bindir}/postprint
%{_bindir}/gnuan
%{_bindir}/game
%{_libdir}/games/gnuchess/gnuchess.lang
%{_libdir}/games/gnuchess/eco.pgn
%{_libdir}/games/gnuchess/gnuchess.data
%{_libdir}/games/gnuchess/gnuchess.eco
%{_mandir}/man6/game.6.bz2
%{_mandir}/man6/gnuan.6.bz2
%{_mandir}/man6/gnuchess.6.bz2
%{_mandir}/man6/postprint.6.bz2

%changelog
* Sat Sep 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 4.0.p180-5mdk
- BM
- macro's
- compress & strip files with spec helper
- use update_menus and clean_menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.pl80-4mdk
- automatically added BuildRequires

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-3mdk
- added menu files

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-2mdk
- changes in spec file for groups
- considered upgrading to version 5.00 (now renamed to chess-5.00)
- but this would have taken away some features (x, curses, etc).
  
* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 4.0pl80.
- provide chessprogram, don't require xboard.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
